Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
Developer
Posts: 281
Registered: ‎05-31-2012
My Device: Playbook
My Carrier: o2
Accepted Solution

Is there an IDE which can do autocomplete with webworks-1.0.2.9.js?

Is there an IDE which can do autocomplete with webworks-1.0.2.9.js?

I tried with Visual Studio 2010 and 2012 but both dont do a autocomplete. Or i'm doing it wrong.

Plase "+Like" my post if it was helpful.
Developer
Posts: 817
Registered: ‎11-19-2009
My Device: Z10, Q10, 9900, 9790, PlayBook,
My Carrier: T-Mobile UK, Three, O2, Orange, Sunrise, Swisscom

Re: Is there an IDE which can do autocomplete with webworks-1.0.2.9.js?

Try this:

http://www.jetbrains.com/webstorm/

--
Olivier - interfaSys ltd
Developing for BlackBerry 10 devices using the Sencha Touch framework.
Developer
Posts: 281
Registered: ‎05-31-2012
My Device: Playbook
My Carrier: o2

Re: Is there an IDE which can do autocomplete with webworks-1.0.2.9.js?

Maybe something free also?

Plase "+Like" my post if it was helpful.
Highlighted
New Contributor
Posts: 3
Registered: ‎03-31-2011
My Device: Bold 9700
My Carrier: T-Mobile

Re: Is there an IDE which can do autocomplete with webworks-1.0.2.9.js?

Try Aptana Studio 3

http://www.aptana.com/

BlackBerry Development Advisor
Posts: 769
Registered: ‎10-01-2009
My Device: All
My Carrier: N/A

Re: Is there an IDE which can do autocomplete with webworks-1.0.2.9.js?

This wouldn't be a proper IDE discussion thread if I didn't add Sublime Text 2 into the list Smiley Tongue

 

http://www.sublimetext.com/

Developer
Posts: 322
Registered: ‎08-06-2012
My Device: Dev Alpha / Playbook / Curve 9300

Re: Is there an IDE which can do autocomplete with webworks-1.0.2.9.js?

Check out using sencha autocomplete with visual studio.  Theres a way to add references to your app that vstudio can use to prompt autocomplete, maybe it will work with webworks.

If it helped you, click like. Smiley Happy